Name:           json_simple
Version:        1.1.1
Release:        %mkrel 19
Group:          Development/Java
Summary:        Simple Java toolkit for JSON
License:        ASL 2.0
URL:            http://code.google.com/p/json-simple/
BuildArch:      noarch

# svn export http://json-simple.googlecode.com/svn/tags/tag_release_1_1_1/ json-simple-1.1.1
# tar czf json-simple-1.1.1-src-svn.tar.gz json-simple-1.1.1
Source0:        json-simple-1.1.1-src-svn.tar.gz

#https://code.google.com/p/json-simple/issues/detail?id=97
Patch0:         json-simple-hash-java-1.8.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

%description
JSON.simple is a simple Java toolkit for JSON. You can use JSON.simple 
to encode or decode JSON text. 
  * Full compliance with JSON specification (RFC4627) and reliable 
  * Provides multiple functionalities such as encode, decode/parse 
    and escape JSON text while keeping the library lightweight 
  * Flexible, simple and easy to use by reusing Map and List interfaces 
  * Supports streaming output of JSON text 
  * Stoppable SAX-like interface for streaming input of JSON text 
  * Heap based parser 
  * High performance (see performance testing) 
  * No dependency on external libraries 
  * Both of the source code and the binary are JDK1.2 compatible 

%package javadoc
Summary:       API documentation for %{name}

%description javadoc
This package contains %{summary}.

%prep
%setup -q -n json-simple-%{version}
find . -name '*.jar' -exec rm -f '{}' \;
# All the files have dos line endings, remove them.
find . -type f -exec %{__sed} -i 's/\r//' {} \;

%patch0 -p1

# Remove hard-coded compiler settings
%pom_remove_plugin :maven-compiler-plugin

%mvn_file : %{name}

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt
%doc AUTHORS.txt ChangeLog.txt README.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt




%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.1.1-19.mga9
+ Revision: 1827595
- Mageia 9 Mass Rebuild

* Thu Sep 10 2020 daviddavid <daviddavid> 1.1.1-18.mga8
+ Revision: 1624070
- Allow building against Java 11
- Rebuilt for JDK-11

* Tue Feb 11 2020 umeabot <umeabot> 1.1.1-17.mga8
+ Revision: 1491080
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1.1-16.mga7
+ Revision: 1262785
- Mageia 7 Mass Rebuild

* Sun May 21 2017 neoclust <neoclust> 1.1.1-15.mga6
+ Revision: 1103903
- Fix BuildRequires
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1.1-13.mga6
+ Revision: 976526
- First rebuild of the java stack
- sync package json_simple with fedora
- imported package json_simple

* Sun Jan 18 2015 daviddavid <daviddavid> 1.1.1-1.mga5
+ Revision: 811325
- Sync with fc21 (update to 1.1.1)

* Wed Oct 15 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 742601
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-4.mga5
+ Revision: 680874
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1-3.mga4
+ Revision: 506453
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 355628
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 05 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 138706
- Fix buildrequires
- Adapt to mageia guidelines
+ gil <gil>
- imported package json_simple

